StartupNotification (install4j API)
Keywords: com.install4j.api.launcher.StartupNotification class

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.launcher
Class StartupNotification

    java.lang.Object
      com.install4j.api.launcher.StartupNotification

    public class StartupNotification

extends java.lang.Object

This class allows you to register a listener to receive startup events in single instance mode on Microsoft Windows and file open events on Mac OS X.

On OS X, this is a facade for the Apple 1.4 and 1.5 Java extensions. If you want to use additional features, please use the com.apple.eawt.Application class directly. It is contained in ui.jar on every OS X system. For detailed functionality please refer to http://developer.apple.com/documentation/Java/Reference/1.4.2/appledoc/api/index.html.

Author:
  ej-technologies GmbH

Nested Class Summary
`static interface` | `StartupNotification.Listener` The interface for startup events in single instance mode or for open file events on OS X.

Constructor Summary
`StartupNotification()`

Method Summary
`static void` | `registerStartupListener(StartupNotification.Listener listener)` Register a listener to receive startup events in single instance mode on Microsoft Windows or to receive file open events on OS X.
`static void` | `setHandleQuit(boolean handleQuit)` Sets if the Quit command should be handled on OS X (that means if the application should quit when the command is invoked).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartupNotification

    public StartupNotification()

Method Detail

### registerStartupListener

    public static void registerStartupListener(StartupNotification.Listener listener)

  Register a listener to receive startup events in single instance mode on Microsoft Windows or to receive file open events on OS X.

  Parameters:
    `listener` - the listener

### setHandleQuit

    public static void setHandleQuit(boolean handleQuit)

  Sets if the Quit command should be handled on OS X (that means if the application should quit when the command is invoked). This is true be default.

  Parameters:
    `handleQuit` - true if quit should be handled

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD